Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		scsirastools
#Epoch:		0
Version:	1.6.1
Release:	1
License:	BSD
URL:		http://sourceforge.net/projects/scsirastools/
Group:		System/Configuration/Hardware
Summary:	storage Reliability, Availability and Serviceability (RAS)  management tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: mdadm
BuildRequires: groff

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The scsirastools package adds several Linux SCSI tools that can be used to service and maintain disk storage devices. It handles SCSI, Linux SW RAID, SAS, SATA, and USB devices via SCSI emulation.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/sgdisk
%{_sysconfdir}/init.d/sgraid
/sbin/getmd
/sbin/mdevt
/sbin/sgdefects
/sbin/sgdiag
/sbin/sgdiskmon
/sbin/sgdskfl
/sbin/sgevt
/sbin/sgmode
/sbin/sgraidmon
/sbin/sgsafte
%{_mandir}/man8/sgdefects.8.gz
%{_mandir}/man8/sgdiag.8.gz
%{_mandir}/man8/sgdiskmon.8.gz
%{_mandir}/man8/sgdskfl.8.gz
%{_mandir}/man8/sgmode.8.gz
%{_mandir}/man8/sgraidmon.8.gz
%{_mandir}/man8/sgsafte.8.gz
%{_datadir}/scsirastools/alarms
%{_datadir}/scsirastools/atlasu32.mdf
%{_datadir}/scsirastools/COPYING
%{_datadir}/scsirastools/ddys-t09.mdf
%{_datadir}/scsirastools/dk32dj-1.mdf
%{_datadir}/scsirastools/dk32dj-3.mdf
%{_datadir}/scsirastools/dpss-309.mdf
%{_datadir}/scsirastools/man3184m.mdf
%{_datadir}/scsirastools/man3367m.mdf
%{_datadir}/scsirastools/map3147n.mdf
%{_datadir}/scsirastools/mdadm
%{_datadir}/scsirastools/mdadm.8
%{_datadir}/scsirastools/README
%{_datadir}/scsirastools/rescan-scsi-bus.sh
%{_datadir}/scsirastools/SCSIRAS
%{_datadir}/scsirastools/st318406.mdf
%{_datadir}/scsirastools/st318452.mdf
%{_datadir}/scsirastools/st336605.mdf
%{_datadir}/scsirastools/st336607.mdf
%{_datadir}/scsirastools/st336752.mdf
%{_datadir}/scsirastools/st373405.mdf
%{_datadir}/scsirastools/st39173l.mdf
%{_datadir}/scsirastools/st39173w.mdf
%{_datadir}/scsirastools/UserGuide

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Dec 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- initial CCux package release
